import { SriAsset, CspDirective } from '@shopify/network';
import { useCspDirective } from '../hooks.mjs';

function RequireSriFor({
  scripts,
  styles
}) {
  const value = [];
  if (scripts) {
    value.push(SriAsset.Script);
  }
  if (styles) {
    value.push(SriAsset.Style);
  }
  useCspDirective(CspDirective.RequireSriFor, value);
  return null;
}

export { RequireSriFor as default };
